Fastcgi PHP does not work on Windows 2003. How to reinstall Fastcgi on windows 2003?

Refers to:

  • Plesk 10.4 for Windows

Created:

2016-11-16 13:05:28 UTC

Modified:

2016-12-21 19:55:58 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Fastcgi PHP does not work on Windows 2003. How to reinstall Fastcgi on windows 2003?

Symptoms

Fastcgi PHP does not work on Windows 2003. When I try to open any PHP page, I got the following errora:

    Invalid data

Or

    Page not found

If I switch PHP extension on domains to ISAPI, PHP works fine.

Cause

FastCGI installation is broken.

Resolution

  1. Find fastcgi-i386.msi package. For Plesk 10.4 it is located here:

    C:\\ParallelsInstaller\\parallels\\PANEL-WIN_10.4.4\    hirdparty-msi-Windows-any-i386
  2. Launch this package and reinstall it on the server. Please note this package is valid for Windows 2003 only.

Have more questions? Submit a request
Please sign in to leave a comment.